# Review request: https://bugzilla.redhat.com/show_bug.cgi?id=721043

Name:           pragha
Version:        1.2.2
Release:        2%{?dist}
Summary:        Lightweight GTK+ music manager

Group:          Applications/Multimedia
License:        GPLv3+
URL:            http://pragha.wikispaces.com/
#VCS: git:https://github.com/matiasdelellis/pragha.git
Source0:        https://github.com/matiasdelellis/pragha/releases/download/v%{version}/pragha-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  pkgconfig(dbus-1) >= 1.1
BuildRequires:  pkgconfig(dbus-glib-1) >= 0.84
BuildRequires:  pkgconfig(gtk+-2.0) >= 2.24.0
BuildRequires:  pkgconfig(keybinder) >= 0.2.0

%if (0%{?fedora} && 0%{?fedora} >= 21) || (0%{?rhel} && 0%{?rhel} >= 7)
BuildRequires:  pkgconfig(gstreamer-1.0) >= 0.11.90
BuildRequires:  pkgconfig(gstreamer-base-1.0) >= 0.11.90
BuildRequires:  pkgconfig(gstreamer-audio-1.0) >= 0.11.90
# N/A. Error in configure or not yet packaged?
#BuildRequires:  pkgconfig(gstreamer-interfaces-1.0) >= 0.11.90
%else
BuildRequires:  pkgconfig(gstreamer-0.10) >= 0.10
BuildRequires:  pkgconfig(gstreamer-base-0.10) >= 0.10
BuildRequires:  pkgconfig(gstreamer-audio-0.10) >= 0.10
BuildRequires:  pkgconfig(gstreamer-interfaces-0.10) >= 0.10
%endif

BuildRequires:  pkgconfig(libcddb) >= 1.3.0
BuildRequires:  pkgconfig(libcdio_paranoia) >= 0.80
BuildRequires:  pkgconfig(libcdio) >= 0.80
#BuildRequires:  libcurl-devel >= 7.18
# libglyr is not yet in Fedora
#BuildRequires:  pkgconfig(libglyr) >= 0.9.4
BuildRequires:  pkgconfig(libclastfm) >= 0.5
BuildRequires:  pkgconfig(libnotify) >= 0.4.4
BuildRequires:  pkgconfig(libxfce4ui-1) >= 4.8.0
BuildRequires:  pkgconfig(sqlite3) >= 3.4
BuildRequires:  pkgconfig(taglib_c) >= 1.4
BuildRequires:  totem-pl-parser-devel
BuildRequires:  desktop-file-utils
BuildRequires:  gettext
BuildRequires:  intltool
Requires:       gstreamer-plugins-base

%description
Pragha is is a lightweight GTK+ music manager that aims to be fast, bloat-free,
and light on memory consumption. It is written completely in C and GTK+.

Pragha is a fork of Consonance Music Manager, discontinued by the original
author.


%prep
%setup -q

%build
%configure \
%if (0%{?fedora} && 0%{?fedora} >= 21) || (0%{?rhel} && 0%{?rhel} >= 7)
  --with-gstreamer=1.0
%else
  --with-gstreamer=0.10
%endif

make %{?_smp_mflags} V=1



%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} INSTALL='install -p'
desktop-file-install                                       \
  --delete-original                                        \
  --add-category=Audio                                     \
  --dir=%{buildroot}%{_datadir}/applications          \
  %{buildroot}%{_datadir}/applications/%{name}.desktop
%find_lang %{name}
# remove duplicate docs
rm -rf %{buildroot}%{_datadir}/doc/%{name}

%clean
rm -rf %{buildroot}


%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :
update-desktop-database &> /dev/null || :


%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi
update-desktop-database &> /dev/null || :


%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files -f %{name}.lang
%defattr(-,root,root,-)
# FIXME add AUTHORS if not empty
%doc ChangeLog COPYING FAQ NEWS README
%{_bindir}/pragha
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*x*/apps/%{name}.png
%{_datadir}/pixmaps/%{name}/
%{_mandir}/man1/pragha.1.*


%changelog
* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Thu Jul 03 2014 Christoph Wickert <cwickert@fedoraproject.org> - 1.2.2-1
- Update to 1.2.2 (fixes #1079743 and #1094542)

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Feb 17 2014 Christoph Wickert <cwickert@fedoraproject.org> - 1.2-2
- Fix conditional to build against gstreamer 0.10 only in Fedora > 20

* Thu Feb 13 2014 Christoph Wickert <cwickert@fedoraproject.org> - 1.2-1
- Update to 1.2 (fixes #1013020)
- Build against gstreamer 1.0 on Fedora > 20

* Mon Oct 21 2013 Christoph Wickert <cwickert@fedoraproject.org> - 1.1.2.2-1
- Update to 1.1.2.2 (fixes #1016264)

* Sat Sep 28 2013 Christoph Wickert <cwickert@fedoraproject.org> - 1.1.2.1-2
- Build require gstreamer-interfaces-0.10 and gstreamer-audio-0.10

* Fri Sep 27 2013 Christoph Wickert <cwickert@fedoraproject.org> - 1.1.2.1-1
- Update to 1.1.2.1 (#946963, fixes #957252 and #892283)

* Fri Sep 27 2013 Christoph Wickert <cwickert@fedoraproject.org> - 1.1.2-1
- Update to 1.1.2
- Fix and update build requirements 

* Thu Sep 19 2013 Kalev Lember <kalevlember@gmail.com> - 1.1.1-5
- Rebuilt for totem-pl-parser soname bump

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Mon Jan 07 2013 Adrian Reber <adrian@lisas.de> - 1.1.1-2
- Rebuild for libcdio-0.90

* Wed Aug 22 2012 Christoph Wickert <cwickert@fedoraproject.org> - 1.1.1-1
- Update to 1.1.1

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jun 21 2012 Christoph Wickert <cwickert@fedoraproject.org> - 1.1.0.1-1
- Update to 1.1.0.1

* Sun Jun 17 2012 Christoph Wickert <cwickert@fedoraproject.org> - 1.1.0-1
- Update to 1.1.0

* Sat May 05 2012 Christoph Wickert <cwickert@fedoraproject.org> - 1.0.2-2
- Enable totem-pl-parser

* Fri May 04 2012 Christoph Wickert <cwickert@fedoraproject.org> - 1.0.2-1
- Update to 1.0.2
- Drop upstreamed patches
- Add README
- Add VCS key

* Thu Apr 05 2012 Kevin Fenzi <kevin@scrye.com> - 1.0.1-2
- Rebuild for Xfce 4.10

* Wed Mar 14 2012 Christoph Wickert <cwickert@fedoraproject.org> - 1.0.1-1
- Update to 1.0.1

* Thu Feb 02 2012 Christoph Wickert <cwickert@fedoraproject.org> - 1.0-1
- Update to 1.0 Final
- Enable Last.fm support

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-0.3.rc3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Dec 15 2011 Christoph Wickert <cwickert@fedoraproject.org> - 1.0-0.2.cr3
- Apply the cflags patch again

* Wed Dec 14 2011 Christoph Wickert <cwickert@fedoraproject.org> - 1.0-0.1.rc3
- Update to 1.0.rc3
- Require exo-devel for playlist saving throughout sessions

* Sun Dec 11 2011 Christoph Wickert <cwickert@fedoraproject.org> - 0.99.0-2
- Rebuild for libcdio-0.83
- Compile with '-Wno-error=deprecated-declarations' (#760960)

* Wed Sep 07 2011 Christoph Wickert <cwickert@fedoraproject.org> - 0.99.0-1
- Update to 0.99.0

* Mon Aug 22 2011 Christoph Wickert <cwickert@fedoraproject.org> - 0.98.0-1
- Update to 0.98.0

* Sat Jul 30 2011 Christoph Wickert <cwickert@fedoraproject.org> - 0.97.0-2
- Don't compile with -O3

* Wed Jul 13 2011 Christoph Wickert <cwickert@fedoraproject.org> - 0.97.0-1
- Update to 0.97.0: This version is gstreamer-based. It no longer requires
  libmad, libmodplug, libsndfile or libvorbis but gstreamer and gstreamer-
  plugins-base

* Tue Jul 12 2011 Christoph Wickert <cwickert@fedoraproject.org> - 0.8.8-2
- Build with keybinder support

* Tue Jul 12 2011 Christoph Wickert <cwickert@fedoraproject.org> - 0.8.8-1
- Update to 0.8.8

* Thu Mar 17 2011 Christoph Wickert <cwickert@fedoraproject.org> - 0.8.6-1
- Update to 0.8.6
- Drop libnotify-patch, no longer required

* Thu Dec 09 2010 Christoph Wickert <cwickert@fedoraproject.org> - 0.8.4-1
- Update to 0.8.4

* Sun Oct 03 2010 Christoph Wickert <cwickert@fedoraproject.org> - 0.8.2-1
- Update to 0.8.2

* Sat Aug 21 2010 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 0.8.0.2-3
- rebuilt

* Mon Aug 02 2010 Christoph Wickert <cwickert@fedoraproject.org> - 0.8.0.2-2
- Fix desktop file

* Fri Jul 30 2010 Christoph Wickert <cwickert@fedoraproject.org> - 0.8.0.2-1
- Update to 0.8.0.2
- Drop de.po patch, included upstream

* Fri Jul 30 2010 Christoph Wickert <cwickert@fedoraproject.org> - 0.8.0.1-1
- Update to 0.8.0.1
- Add COPYING and NEWS to docs

* Thu Jul 29 2010 Christoph Wickert <cwickert@fedoraproject.org> - 0.8.0-1
- Update to 0.8.0

* Fri Jun 25 2010 Christoph Wickert <cwickert@fedoraproject.org> - 0.7.7.1-1
- Update to 0.7.7.1

* Fri Jun 25 2010 Christoph Wickert <cwickert@fedoraproject.org> - 0.7.7-1
- Update to 0.7.7

* Sat Jun 19 2010 Christoph Wickert <cwickert@fedoraproject.org> - 0.7.6-1
- Update to 0.7.6
- Remove upstreamed use-software-mixer.patch

* Fri Apr 23 2010 Christoph Wickert <cwickert@fedoraproject.org> - 0.7.4-1
- Update to 0.7.4

* Mon Mar 22 2010 Christoph Wickert <cwickert@fedoraproject.org> - 0.7.3-2
- Use software mixer by default to cope with pulseaudio
- Remove executable bits from docs

* Tue Mar 16 2010 Christoph Wickert <cwickert@fedoraproject.org> - 0.7.3-1
- Update to 0.7.3

* Sat Feb 20 2010 Christoph Wickert <cwickert@fedoraproject.org> - 0.7.2-1
- Update to 0.7.2

* Wed Oct 28 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.7.1-1
- Upadte to 0.7.1

* Sat Oct 03 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.7.0-1
- Upadte to 0.7.0

* Sun Aug 09 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.6.3-1
- Upadte to 0.6.3

* Mon Jul 20 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.6.2.2-1
- Initial Fedora package
